Index: src/main/java/it/finki/tinki/model/dto/response/work/InternshipResponseDTO.java
===================================================================
--- src/main/java/it/finki/tinki/model/dto/response/work/InternshipResponseDTO.java	(revision bd46dbb1a81113e9e723d93a58b6a29b0080ba17)
+++ src/main/java/it/finki/tinki/model/dto/response/work/InternshipResponseDTO.java	(revision 33d4f5d27eea7d3c1f8b9f0284427ed4c8376860)
@@ -2,7 +2,10 @@
 
 import it.finki.tinki.model.Address;
+import it.finki.tinki.model.Skill;
 import it.finki.tinki.model.Work.Internship;
 import it.finki.tinki.model.Users.Company;
 import lombok.Data;
+
+import java.util.List;
 
 @Data
@@ -11,4 +14,9 @@
     int openSpots;
     Address accountAddress;
+    List<Skill> skillsTrained;
+
+    public InternshipResponseDTO(){
+        super();
+    }
 
     public InternshipResponseDTO(Internship internship){
@@ -17,4 +25,5 @@
         this.openSpots = internship.getOpenSpots();
         this.accountAddress = ((Company) internship.getAccount()).getAddress();
+        this.skillsTrained = internship.getSkillsTrained();
     }
 }
Index: src/main/java/it/finki/tinki/model/dto/response/work/JobResponseDTO.java
===================================================================
--- src/main/java/it/finki/tinki/model/dto/response/work/JobResponseDTO.java	(revision bd46dbb1a81113e9e723d93a58b6a29b0080ba17)
+++ src/main/java/it/finki/tinki/model/dto/response/work/JobResponseDTO.java	(revision 33d4f5d27eea7d3c1f8b9f0284427ed4c8376860)
@@ -2,4 +2,5 @@
 
 import it.finki.tinki.model.Address;
+import it.finki.tinki.model.Skill;
 import it.finki.tinki.model.Work.Job;
 import it.finki.tinki.model.Users.Company;
@@ -8,11 +9,19 @@
 import lombok.Data;
 
+import java.util.List;
+
 @Data
 public class JobResponseDTO extends WorkResponseDTO {
     Address accountAddress;
     int members;
+    List<Skill> skillsRequired;
+
+    public JobResponseDTO(){
+        super();
+    }
 
     public JobResponseDTO(Job job){
         super(job.getId(), job.getTitle(), job.getDescription(), job.getSalary(), job.getAccount());
+        this.skillsRequired = job.getSkillsRequired();
         if(job.getAccount().getAccountType()==AccountType.COMPANY){
             this.accountAddress = ((Company) job.getAccount()).getAddress();
Index: src/main/java/it/finki/tinki/model/dto/response/work/ProjectResponseDTO.java
===================================================================
--- src/main/java/it/finki/tinki/model/dto/response/work/ProjectResponseDTO.java	(revision bd46dbb1a81113e9e723d93a58b6a29b0080ba17)
+++ src/main/java/it/finki/tinki/model/dto/response/work/ProjectResponseDTO.java	(revision 33d4f5d27eea7d3c1f8b9f0284427ed4c8376860)
@@ -1,15 +1,27 @@
 package it.finki.tinki.model.dto.response.work;
 
+import it.finki.tinki.model.Skill;
 import it.finki.tinki.model.Work.Project;
 import it.finki.tinki.model.Users.Team;
 import lombok.Data;
 
+import java.util.Date;
+import java.util.List;
+
 @Data
 public class ProjectResponseDTO extends WorkResponseDTO {
     int members;
+    Date validUntil;
+    List<Skill> skillsRequired;
+
+    public ProjectResponseDTO(){
+        super();
+    }
 
     public ProjectResponseDTO(Project project){
         super(project.getId(), project.getTitle(), project.getDescription(), project.getSalary(), project.getAccount());
         this.members = ((Team) project.getAccount()).getMembers();
+        this.validUntil = project.getValidUntil();
+        this.skillsRequired = project.getSkillsRequired();
     }
 }
Index: src/main/java/it/finki/tinki/model/dto/response/work/WorkResponseDTO.java
===================================================================
--- src/main/java/it/finki/tinki/model/dto/response/work/WorkResponseDTO.java	(revision bd46dbb1a81113e9e723d93a58b6a29b0080ba17)
+++ src/main/java/it/finki/tinki/model/dto/response/work/WorkResponseDTO.java	(revision 33d4f5d27eea7d3c1f8b9f0284427ed4c8376860)
@@ -14,8 +14,12 @@
     String accountName;
     AccountType accountType;
+    String error;
 
-    WorkResponseDTO(){}
+    WorkResponseDTO(){
+        this.error = "Error registering job!";
+    }
 
     WorkResponseDTO(Long id, String title, String description, int salary, Account account){
+        this.error = null;
         this.id = id;
         this.title = title;
